Fix autopkgtest regression with webkit2gtk 2.16.2

Bug #1690574 reported by Jeremy Bicha on 2017-05-13
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
sphinx (Ubuntu)
Low
Unassigned
Xenial
Low
Unassigned
Yakkety
Low
Unassigned
Zesty
Low
Unassigned

Bug Description

Impact
------
sphinx's autopkgtests fail with webkit2gtk's 2.16.2 update (LP: #1690536). Since we need to update webkit2gtk for security updates, we need to update sphinx's autopkgtests too.

Test Case
---------
Check https://autopkgtest.ubuntu.com/packages/sphinx
and make sure that the tests triggered by webkit2gtk 2.16.2 are passing

Regression Potential
--------------------
This update only affects the "sphinxdoc" autopkgtest.

Other Info
-----------
The autopkgtests are maintained in Debian; this particular test is not from sphinx upstream.

https://anonscm.debian.org/git/python-modules/packages/sphinx.git/commit/?id=75bf800

Jeremy Bicha (jbicha) on 2017-05-13
affects: sphinx (Ubuntu) → webkit2gtk (Ubuntu)
affects: webkit2gtk (Ubuntu) → sphinx (Ubuntu)
Changed in sphinx (Ubuntu Xenial):
importance: Undecided → Low
Changed in sphinx (Ubuntu Yakkety):
importance: Undecided → Low
status: New → Triaged
Changed in sphinx (Ubuntu Xenial):
status: New → Triaged
Changed in sphinx (Ubuntu Zesty):
status: New → Triaged
importance: Undecided → Low
Jeremy Bicha (jbicha) on 2017-05-13
Changed in sphinx (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sphinx - 1.5.5-1ubuntu1

---------------
sphinx (1.5.5-1ubuntu1) artful; urgency=medium

  * Update jstests for compatibility with WebKitGTK+ 2.16 (LP: #1690574).
    Now the title property can be no longer than 1000 characters, so we
    cannot fetch the whole page using it. Instead, we compute the needed
    numbers with JavaScript and then fetch them using the title property.

 -- Dmitry Shachnev <email address hidden> Sat, 13 May 2017 18:52:57 +0300

Changed in sphinx (Ubuntu):
status: Fix Committed → Fix Released

Hello Jeremy, or anyone else affected,

Accepted sphinx into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sphinx/1.5.3-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in sphinx (Ubuntu Zesty):
status: Triaged → Fix Committed
tags: added: verification-needed
Changed in sphinx (Ubuntu Yakkety):
status: Triaged → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Jeremy, or anyone else affected,

Accepted sphinx into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sphinx/1.4.8-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in sphinx (Ubuntu Xenial):
status: Triaged → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Jeremy, or anyone else affected,

Accepted sphinx into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sphinx/1.3.6-2ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Jeremy Bicha (jbicha) on 2017-05-20
tags: added: verification-done
removed: verification-needed
Jeremy Bicha (jbicha) wrote :

The sphinx tests now pass with the webkit2gtk 2.16.2 SRUs.

https://autopkgtest.ubuntu.com/packages/sphinx/zesty/amd64
https://autopkgtest.ubuntu.com/packages/sphinx/yakkety/amd64
https://autopkgtest.ubuntu.com/packages/sphinx/xenial/amd64

Apparently, xenial's webkit2gtk does not trigger sphinx autopktests though:
https://people.canonical.com/~ubuntu-archive/proposed-migration/xenial/update_excuses.html#webkit2gtk

One issue is that some sphinx rdepends have failing autopkgtests, but this was likely an already existing issue.
https://people.canonical.com/~ubuntu-archive/proposed-migration/zesty/update_excuses.html#sphinx
https://people.canonical.com/~ubuntu-archive/proposed-migration/yakkety/update_excuses.html#sphinx

I recommend that the sphinx SRUs be accepted; otherwise all of the sphinx autopkgtests for yakkety and zesty will fail once webkit2gtk enters -updates.

Chris Halse Rogers (raof) wrote :

I agree that those autopkgtest failures do not appear to be related to the sphinx update. Releasing.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sphinx - 1.3.6-2ubuntu1.1

---------------
sphinx (1.3.6-2ubuntu1.1) xenial; urgency=medium

  * Update jstests for compatibility with WebKitGTK+ 2.16.2 (LP: #1690574).
    Now the title property can be no longer than 1000 characters, so we
    cannot fetch the whole page using it. Instead, we compute the needed
    numbers with JavaScript and then fetch them using the title property.

 -- Dmitry Shachnev <email address hidden> Sun, 14 May 2017 23:10:17 +0300

Changed in sphinx (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for sphinx has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sphinx - 1.4.8-1ubuntu0.1

---------------
sphinx (1.4.8-1ubuntu0.1) yakkety; urgency=medium

  * Update jstests for compatibility with WebKitGTK+ 2.16.2 (LP: #1690574).
    Now the title property can be no longer than 1000 characters, so we
    cannot fetch the whole page using it. Instead, we compute the needed
    numbers with JavaScript and then fetch them using the title property.

 -- Dmitry Shachnev <email address hidden> Mon, 15 May 2017 11:01:43 +0300

Changed in sphinx (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sphinx - 1.5.3-1ubuntu0.1

---------------
sphinx (1.5.3-1ubuntu0.1) zesty; urgency=medium

  * Update jstests for compatibility with WebKitGTK+ 2.16.2 (LP: #1690574).
    Now the title property can be no longer than 1000 characters, so we
    cannot fetch the whole page using it. Instead, we compute the needed
    numbers with JavaScript and then fetch them using the title property.

 -- Dmitry Shachnev <email address hidden> Sun, 14 May 2017 17:33:00 +0300

Changed in sphinx (Ubuntu Zesty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers